> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trust Center chatbot conversation messages

> Gets the messages for a specific chatbot conversation on a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json get /trust-centers/{slugId}/chatbot/conversations/{conversationId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/chatbot/conversations/{conversationId}:
    get:
      tags:
        - Trust Centers
      summary: Get Trust Center chatbot conversation messages
      description: Gets the messages for a specific chatbot conversation on a Trust Center.
      operationId: GetChatbotConversationMessages
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: path
          name: conversationId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayResponse_TrustCenterChatbotMessage_'
              examples:
                Example 1:
                  value:
                    results:
                      - id: a2f7e1b9d0c3f4e5a6c7b8d9
                        role: USER
                        message: What security certifications do you have?
                        createdAt: '2024-01-15T10:30:00.000Z'
                        references: []
      security:
        - bearerAuth: []
components:
  schemas:
    ArrayResponse_TrustCenterChatbotMessage_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/TrustCenterChatbotMessage'
          type: array
      required:
        - results
      type: object
      additionalProperties: false
    TrustCenterChatbotMessage:
      properties:
        id:
          type: string
          description: Unique identifier for the message.
        role:
          $ref: '#/components/schemas/ChatbotMessageRole'
          description: The role of the message sender.
        message:
          type: string
          description: The message content.
        createdAt:
          type: string
          format: date-time
          description: Date and time the message was created.
        references:
          items:
            type: string
          type: array
          description: Resource IDs referenced by this message.
      required:
        - id
        - role
        - message
        - createdAt
        - references
      type: object
      additionalProperties: false
    ChatbotMessageRole:
      enum:
        - USER
        - ASSISTANT
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````